Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## drm.agentbase
Interface ILogListener

All Known Implementing Classes:
  ConsoleLogger

public interface ILogListener

Interface that should be implemented by handlers that are registered to handle messages received by Logger.

See Also:
  `Logger`

Field Summary
`static int` | `DEBUG` A debug message to see what's happening, for programmers.
`static int` | `ERROR` An error occured but we continue running.
`static int` | `INFO` An info message to the public audience.
`static int` | `PANIC` A fatal error after which the jvm will exit.
`static int` | `WARNING` A strange or suspicious situation.

Method Summary
`void` | `handleLogMessage(int type, java.lang.String sender, java.lang.String comment, java.lang.Throwable thr)` Reaction when diagnostic information is emitted by an entity (the base or an agent).

Field Detail

### PANIC

    public static final int PANIC

  A fatal error after which the jvm will exit.

### ERROR

    public static final int ERROR

  An error occured but we continue running.

### WARNING

    public static final int WARNING

  A strange or suspicious situation.

### DEBUG

    public static final int DEBUG

  A debug message to see what's happening, for programmers.

### INFO

    public static final int INFO

  An info message to the public audience.

Method Detail

### handleLogMessage

    public void handleLogMessage(int type,
                                 java.lang.String sender,
                                 java.lang.String comment,
                                 java.lang.Throwable thr)

  Reaction when diagnostic information is emitted by an entity (the base or an agent).
  Parameters:
    `type` - The type of the information. The constants defined in this interface are used by the base.
    `sender` - Identifies the sender, e.g. the name of the function that sends the message. Must not be null.
    `comment` - An optional explanatory message. Might be null.
    `thr` - An optional Throwable object that caused this event. Might be null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD